Bug 41778 - Slider Inside ScrollView Will Open MasterDetailPage.Master
Summary: Slider Inside ScrollView Will Open MasterDetailPage.Master
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 2.3.0
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-06-13 22:54 UTC by Jimmy [MSFT]
Modified: 2017-07-04 13:05 UTC (History)
7 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
repro solution (29.89 KB, application/zip)
2016-06-13 22:54 UTC, Jimmy [MSFT]
Details

Description Jimmy [MSFT] 2016-06-13 22:54:06 UTC
Created attachment 16306 [details]
repro solution

### Overview
In a MasterDetailPage Detail page, trying to slide a Slider will cause the Master page to open if the control is inside a ScrollView. It seems like some gesture conflict because if the ScrollView is removed, then it works as expected.

The issue seems to only occur (or is more easily reproduced) on an iPad instead of iPhone.


### Steps to Reproduce
1. Run the attached repro project on a iPad device or simulator
2. Slide the Slider control


### Expected Results
You can slide the control freely


### Actual Results
You can only slide the control a little bit before the gesture causes the Master page to open instead


### Testing Info
Tested on Forms 2.2 and 2.3
Comment 1 adrianknight89 2016-11-25 02:09:18 UTC
See https://github.com/xamarin/Xamarin.Forms/pull/563
Comment 2 Rui Marinho 2017-03-24 19:20:15 UTC
Should be fixed on 2.3.5-pre1
Comment 3 Saurabh Paunikar 2017-07-04 13:05:24 UTC
Verified on Xamarin.form version 2.3.5.256-pre6, Slider is working fine in attached repro project

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.